Sign in

Activity

List activities

GET https://service.steady.space/api/v2/activities

Query parameters

Name Type Required Description
since string No

Filter to records on or after this time. ISO 8601 timestamp (e.g. 2026-05-06T00:00:00Z).

until string No

Filter to records on or before this time. ISO 8601 timestamp (e.g. 2026-05-06T23:59:59Z).

kinds[] array No

Filter to activities with one of these kind values.

people_ids[] array No

Filter to records owned by, contributed to, or otherwise involving these people.

team_ids[] array No

Filter to records involving these teams.

page integer No

Page number (1-indexed).

per_page integer No

Number of records per page.

200 Response

[
  {
    "id": "6c7d8e9f-1a2b-4c3d-8e4f-5a6b7c8d9e0f",
    "kind": "github_pr",
    "group": "GitHub PR",
    "title": "Upgrade Rails to 7.2",
    "description": "Merged PR in marketing-site: Upgrade Rails to 7.2",
    "url": "https://github.com/continuouscoordination/principles/pull/4",
    "recorded_at": "2026-04-28T03:14:00Z",
    "person": {
      "id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
      "name": "Quinn Reed"
    }
  }
]
Field reference
Name Type Description
id string
kind string

Activity kind, e.g. github_pr, jira, linear, google_calendar. See the kinds[] query parameter on GET /activities for the kinds that can be filtered.

group string

Human-readable label for the activity’s group, e.g. GitHub PR, Jira, Asana.

title object

Short title summarizing the activity (e.g. a pull request title). Null when the activity kind doesn’t expose one.

description string

Short summary of the activity.

url object

Canonical URL for the activity in its source system (e.g. the PR URL, the calendar event URL).

recorded_at string

When the activity occurred.

person object

Get an activity

GET https://service.steady.space/api/v2/activities/{id}

200 Response

{
  "id": "6c7d8e9f-1a2b-4c3d-8e4f-5a6b7c8d9e0f",
  "kind": "github_pr",
  "group": "GitHub PR",
  "title": "Upgrade Rails to 7.2",
  "description": "Merged PR in marketing-site: Upgrade Rails to 7.2",
  "url": "https://github.com/continuouscoordination/principles/pull/4",
  "recorded_at": "2026-04-28T03:14:00Z",
  "person": {
    "id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
    "name": "Quinn Reed"
  }
}
Field reference
Name Type Description
id string
kind string

Activity kind, e.g. github_pr, jira, linear, google_calendar. See the kinds[] query parameter on GET /activities for the kinds that can be filtered.

group string

Human-readable label for the activity’s group, e.g. GitHub PR, Jira, Asana.

title object

Short title summarizing the activity (e.g. a pull request title). Null when the activity kind doesn’t expose one.

description string

Short summary of the activity.

url object

Canonical URL for the activity in its source system (e.g. the PR URL, the calendar event URL).

recorded_at string

When the activity occurred.

person object